<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_black_default_shape">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_black_top_radius5_shape"
                android:gravity="center|start"
                android:padding="@dimen/dp_8"
                android:paddingStart="@dimen/dp_11"
                android:text="关闭课程"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_16"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_close"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/dp_10"
                android:src="@drawable/ic_gongge_close"
                app:layout_constraintBottom_toBottomOf="@+id/tv_title"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recyclerView"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_80"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_6"
                android:overScrollMode="never"
                android:scrollbars="none"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="@id/tv_title"
                app:layout_constraintTop_toBottomOf="@id/tv_title" />

            <EditText
                android:id="@+id/et_content"
                android:layout_width="@dimen/dp_276"
                android:layout_height="@dimen/dp_80"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginEnd="@dimen/dp_16"
                android:background="@drawable/bg_complaint_content_shape"
                android:gravity="top|left"
                android:hint="请填写课程情况说明"
                android:lineSpacingExtra="@dimen/dp_5"
                android:maxLength="50"
                android:padding="@dimen/dp_10"
                android:textColor="#999999"
                android:textColorHint="#999999"
                android:textSize="@dimen/dp_14"
                android:visibility="visible"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="@id/recyclerView"
                app:layout_constraintTop_toBottomOf="@id/recyclerView" />


            <com.cooleshow.base.widgets.ColorTextView
                android:id="@+id/btn_cancel"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_40"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_15"
                android:layout_marginBottom="@dimen/dp_15"
                android:gravity="center"
                android:text="取消"
                android:textColor="#FFFFFF"
                app:ctvCornerSize="4dp"
                app:ctvBorderWidth="1dp"
                app:ctvBorderColor="@color/white"
                app:ctvBackground="@color/transparent"
                android:textSize="@dimen/dp_14"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/btn_commit"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/et_content" />

            <com.cooleshow.base.widgets.ColorTextView
                android:id="@+id/btn_commit"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_40"
                android:layout_marginStart="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_15"
                android:layout_marginEnd="@dimen/dp_16"
                android:layout_marginBottom="@dimen/dp_15"
                android:textColor="#FFFFFF"
                app:ctvCornerSize="4dp"
                app:ctvBackground="#656376"
                android:gravity="center"
                android:text="确认"
                android:textSize="@dimen/dp_14"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/btn_cancel"
                app:layout_constraintTop_toBottomOf="@id/et_content" />


        </androidx.constraintlayout.widget.ConstraintLayout>

    </ScrollView>
</LinearLayout>
